package MT::Plugin::HelloToConfigPerson;

use strict;
use MT;

use vars qw( $VERSION );
$VERSION = '0.1';

use base qw( MT::Plugin );

###################################### Init Plugin #####################################

my $plugin = new MT::Plugin::HelloToConfigPerson({
    id => 'HelloToConfigPerson',
    name => 'HelloToConfigPerson',
    author_name => 'Shinchi, Takahiro',
    author_link => 'http://shinchi.vox.com/',
    version => $VERSION,
    description => 'HelloToConfigPerson',
    system_config_template => 'system_config.tmpl',
    settings => new MT::PluginSettings([
      [ 'target', { Default => 'Someone', Scope => 'system' }],
    ]),
});
MT->add_plugin($plugin);


sub init_registry {
    my $plugin = shift;
    $plugin->registry({
        'tags' => {
            function => {
                HelloTo => \&_HelloTo,
            },
        },
    });
}

sub _HelloTo {
    my $ctx = shift;
    my $args = shift;

    my $cfg = MT::ConfigMgr->instance;
    MT->set_language($cfg->DefaultLanguage);

    return 'Hello, ' . $plugin->get_config_value('target');
}

1;

